import { isOpera } from './chunk-7HDCRZJG.mjs';
import { isEdgeBrowser } from './chunk-BJHCFKYE.mjs';

// src/isChrome.ts
function isChrome() {
  if (typeof window === "undefined")
    return false;
  const isChromium = window.chrome;
  const vendor = window.navigator.vendor;
  return isChromium !== null && typeof isChromium !== "undefined" && vendor === "Google Inc." && isOpera() === false && isEdgeBrowser() === false;
}

export { isChrome };
